Summary: External authorization module for the Apache HTTP Server
Name: mod_authnz_external
Version: 3.2.6
Release: 1%{?dist}
Group: System Environment/Daemons
License: Apache License
URL: http://code.google.com/p/mod-auth-external
Source0: http://mod-auth-external.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: mod_authnz_external.conf
BuildRequires: httpd-devel

%description
An apache external authentication module - uses PAM.

%prep
%setup -q
%build
%{_sbindir}/apxs -c mod_authnz_external.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/httpd/modules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/httpd/modules/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/authnz_external.conf

%files
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%config(noreplace) %{_sysconfdir}/httpd/conf.d/authnz_external.conf
%{_libdir}/httpd/modules/mod_authnz_external.so

%changelog
* Thu Apr  5 2012 ClearFoundation <developer@clearfoundation.com> 3.2.6-1
- Import loosely based on Mageia spec
